(**************************************************************************************)
(*  'tils Lib - Librairie de composants divers                                        *)
(*  Copyright (C) 2003  U. Van Den Hekke                                              *)
(*                                                                                    *)
(*  This library is free software; you can redistribute it and/or                     *)
(*  modify it under the terms of the GNU Lesser General Public                        *)
(*  License as published by the Free Software Foundation; either                      *)
(*  version 2.1 of the License, or (at your option) any later version.                *)
(*                                                                                    *)
(*  This library is distributed in the hope that it will be useful,                   *)
(*  but WITHOUT ANY WARRANTY; without even the implied warranty of                    *)
(*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU                 *)
(*  Lesser General Public License for more details.                                   *)
(*                                                                                    *)
(*  You should have received a copy of the GNU Lesser General Public                  *)
(*  License along with this library; if not, write to the Free Software               *)
(*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA         *)
(**************************************************************************************)

{*******************************************************}
{                                                       }
{         Delphi VCL Extensions ('tils Lib)             }
{                                                       }
{         Copyright (c) 1999, 2000 Van Den Hekke U.     }
{                                                       }
{*******************************************************}

unit regComp;

interface

{ Register custom useful controls }

procedure Register;

implementation

uses
  DesignIntf, Classes,
  AboutDlg, AboutDlgIntf,
  DebugBox,
  GradientBar,
  AutoRunApp,
  HexMemo,
  BrowseDr, BrowseDrIntf;

resourcestring
  srDialogs     = 'Dialogues';
  srTils        = '''tils Lib';

procedure Register;
begin
  RegisterComponents      (srDialogs, [TAboutDlg, TDebugBox]);
  RegisterComponents      (srTils,    [TGradientBarProgress, TAutoAppRunner, THexMemo]);
  RegisterComponents      (srDialogs, [TBrowseDirectoryDlg]);

  RegisterComponentEditor (TAboutDlg, TAboutEditor);
  RegisterComponentEditor (TBrowseDirectoryDlg, TBrowseDialogEditor);
end;

end.
